Module java.base
Package java.net

# Class CacheResponse

java.lang.Object
java.net.CacheResponse

Direct Known Subclasses:
  `SecureCacheResponse`

    public abstract class CacheResponse
    extends Object

Represent channels for retrieving resources from the ResponseCache. Instances of such a class provide an InputStream that returns the entity body, and also a getHeaders() method which returns the associated response headers.

Since:
  1.5

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`CacheResponse()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`abstract InputStream` | `getBody()` | Returns the response body as an InputStream.
`abstract Map<String,​List<String>>` | `getHeaders()` | Returns the response headers as a Map.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CacheResponse

public CacheResponse()

## Method Details

### getHeaders

public abstract Map<String,​List<String>> getHeaders() throws IOException
Returns the response headers as a Map.

Returns:
  An immutable Map from response header field names to lists of field values. The status line has null as its field name.
Throws:
  `IOException` - if an I/O error occurs while getting the response headers

### getBody

public abstract InputStream getBody() throws IOException
Returns the response body as an InputStream.

Returns:
  an InputStream from which the response body can be accessed
Throws:
  `IOException` - if an I/O error occurs while getting the response body